Last Comment Bug 745842 - clean up plugin stream listener creation
: clean up plugin stream listener creation
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Josh Aas
:
Mentors:
Depends on:
Blocks: 736998
  Show dependency treegraph
 
Reported: 2012-04-16 11:22 PDT by Josh Aas
Modified: 2012-04-25 07:21 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (10.06 KB, patch)
2012-04-16 11:22 PDT, Josh Aas
jst: review+
Details | Diff | Splinter Review

Description Josh Aas 2012-04-16 11:22:52 PDT
Created attachment 615398 [details] [diff] [review]
fix v1.0

We can simplify the path for creating plugin stream listeners and make the code for embedded vs. full page more consistent.
Comment 1 Josh Aas 2012-04-16 11:42:05 PDT
Try server run:

https://tbpl.mozilla.org/?tree=Try&rev=7a90353b1045
Comment 2 Johnny Stenback (:jst, jst@mozilla.com) 2012-04-18 09:46:46 PDT
Comment on attachment 615398 [details] [diff] [review]
fix v1.0

Looks good to me, r=jst
Comment 3 Josh Aas 2012-04-24 13:27:31 PDT
pushed to mozilla-inbound

http://hg.mozilla.org/integration/mozilla-inbound/rev/b1be35450a1c
Comment 4 :Ehsan Akhgari (away Aug 1-5) 2012-04-25 07:21:31 PDT
https://hg.mozilla.org/mozilla-central/rev/b1be35450a1c

Note You need to log in before you can comment on or make changes to this bug.